"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const upfit = ({ image }) => async ({ width, height }) => {
    const { width: iw, height: ih } = await image.metadata();
    if (iw < width &&
        ih < height) {
        return image.resize(width, height, { fit: 'inside' });
    }
    return image;
};
exports.default = upfit;
