"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const micro_1 = require("micro");
let favicon = null;
const getFavicon = async () => {
    if (!favicon) {
        favicon = await fs_extra_1.default.readFile(path_1.default.resolve(__dirname, '..', '..', 'static', 'favicon.ico'));
    }
    return favicon;
};
const faviconRoute = async (req, res) => {
    res.setHeader('cache-control', 'max-age=84600, public');
    res.setHeader('content-type', 'image/x-icon');
    (0, micro_1.send)(res, 200, await getFavicon());
};
exports.default = faviconRoute;
