"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_fetch_1 = __importDefault(require("node-fetch"));
const webImageLoaderFactory = () => ({ PLUGIN_IGNORE_RESULT }) => {
    return {
        inputImageLoader: async (url) => {
            if (url.indexOf('http') !== 0) {
                return PLUGIN_IGNORE_RESULT;
            }
            return (0, node_fetch_1.default)(url).then((body) => body.buffer());
        },
    };
};
exports.default = webImageLoaderFactory;
